### Function

# Gimp list_images

since: 3.0

#### Declaration [src]

    GList*
    gimp_list_images (
      void
    )

#### Description [src]

Returns the list of images currently open.

This procedure returns the list of images currently open in GIMP.

Available since: 3.0

This function is not directly available to language bindings.

#### Return value

Type: A list of `GimpImage*`

         The list of images currently open.
         The returned list must be freed with g_list_free(). Image
         elements belong to libgimp and must not be freed.

The caller of the function takes ownership of the data container, but not the data inside it.